package com.bukkit.cppchriscpp.ExcessLapis;

import org.bukkit.block.Block;
import org.bukkit.block.BlockFace;
import org.bukkit.Material;
import org.bukkit.Location;
import org.bukkit.entity.Player;
import org.bukkit.event.block.BlockCanBuildEvent;
import org.bukkit.event.block.BlockListener;
import org.bukkit.event.block.BlockPhysicsEvent;
import org.bukkit.event.block.BlockPlaceEvent;
import org.bukkit.event.block.BlockDamageEvent;
import org.bukkit.inventory.ItemStack;
import java.util.Random;

/**
 * ExcessLapis block listener
 * @author cppchriscpp
 */
public class ExcessLapisBlockListener extends BlockListener {
    private final ExcessLapis plugin;

    /**
     * The minimum number of dye blocks to drop.
     * Default: 2
     */
    private final int min = 2;

    /**
     * The maximum number of dye blocks to drop.
     * Default: 4
     */
    private final int max = 4;

    /**
     * Random number generator - used to decide how many blocks to drop.
     */
	private Random rng;

    public ExcessLapisBlockListener(final ExcessLapis plugin) {
        this.plugin = plugin;
        rng = new Random();
    }

    /**
     * Called when a block is damaged; let us know when a portal is being destroyed.
     */
	public void onBlockDamage(BlockDamageEvent event)
	{
		if (event.getDamageLevel() == org.bukkit.block.BlockDamageLevel.BROKEN && !event.isCancelled())
		{
			if (event.getBlock().getType() == Material.LAPIS_ORE)
			{
				Location locy = new Location(event.getBlock().getWorld(), event.getBlock().getX(), event.getBlock().getY(), event.getBlock().getZ(), 0, 0);
				// Material.INK_SACK
				event.getBlock().getWorld().dropItem(locy, new ItemStack(/*Material.INK_SACK*/ 351, (min-1) + rng.nextInt((max-min+1)), (byte)4));
			}
		}
	}
}
